Debian Bug report logs - #692342
apt-move uses obsolete implicit split functionality

version graph

Package: apt-move; Maintainer for apt-move is Debian QA Group <packages@qa.debian.org>; Source for apt-move is src:apt-move.

Reported by: Lindsay Washusen <zlinw@mcmedia.com.au>

Date: Mon, 5 Nov 2012 07:45:02 UTC

Severity: grave

Tags: confirmed, patch

Found in version apt-move/4.2.27-2

Fixed in version apt-move/4.2.27-3

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, zlinw@mcmedia.com.au, Debian QA Group <packages@qa.debian.org>:
Bug#692342; Package apt-move. (Mon, 05 Nov 2012 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lindsay Washusen <zlinw@mcmedia.com.au>:
New Bug report received and forwarded. Copy sent to zlinw@mcmedia.com.au, Debian QA Group <packages@qa.debian.org>. (Mon, 05 Nov 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lindsay Washusen <zlinw@mcmedia.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-move move command deletes all files without moving them
Date: Mon, 05 Nov 2012 18:45:31 +1100
Package: apt-move
Version: 4.2.27-2+b1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I have for a long period of time (many years, i have been using linux since
kernel 0.96d, 20 years ago) been using apt-move to maintain my own repository as I have
poor internet access. As usual I transferred all the debs from the CD images
downloaded at the cafe in town and placed them into /var/cache/apt/archive
directory. The commands "apt-move get" then "apt-move move" commands were run.
Apt-move ran as normal for the usual time and printed it had moved the
files. On examination of the repository no files had appeared there and all
had been erased from the archive diectory. I tried this a number of times
with the same result. All the deb packages (I keep backups) were transfered
to a Debian 6.0X box which was temporarily set to testing and the new
repository was created successfully using apt-move version 4.2.27-1+b8.

For what its worth I have been using debian since it first came out (pre
1.0), while for a long time the installer was questionable the package 
quality __FAR__ exceeds other distributions, particularly in flexiblity in getting the
system to do what I want instead of what some else thinks I need.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-move depends on:
ii  bc              1.06.95-2
ii  dash            0.5.7-3
ii  libapt-pkg4.12  0.9.7.5
ii  libc6           2.13-35
ii  libgcc1         1:4.7.1-7
ii  libstdc++6      4.7.1-7

Versions of packages apt-move recommends:
ii  apt  0.9.7.5

apt-move suggests no packages.

-- Configuration Files:
/etc/apt-move.conf changed:
APTSITES="/all/"
LOCALDIR=/mirrors/debian
DIST=testing
PKGTYPE=binary
FILECACHE=/var/cache/apt/archives
LISTSTATE=/var/lib/apt/lists
DELETE=no
MAXDELETE=20
COPYONLY=no
PKGCOMP=gzip
CONTENTS=no
GPGKEY=


-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#692342; Package apt-move. (Wed, 07 Nov 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 07 Nov 2012 00:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 692342@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 692342@bugs.debian.org
Subject: re: apt-move move command deletes all files without moving them
Date: Tue, 6 Nov 2012 19:18:08 -0500
control: tag -1 confirmed

Confirming that "apt-move get && apt-move move" behaves like this.
Building and installing 4.2.27-1 on wheezy doesn't help.  Testing on
squeeze, it does work.

Best wishes,
Mike



Added tag(s) confirmed. Request was from Michael Gilbert <mgilbert@debian.org> to 692342-submit@bugs.debian.org. (Wed, 07 Nov 2012 00:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#692342; Package apt-move. (Fri, 09 Nov 2012 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 09 Nov 2012 11:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 692342@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: control@bugs.debian.org, 692342@bugs.debian.org
Subject: update information on several apt-move bugs
Date: Fri, 09 Nov 2012 12:04:10 +0100
[Message part 1 (text/plain, inline)]
retitle 639770 apt-move: fails to open fifo-file and hangs
tags 639770 + unreproducible
retitle 398297 apt-move: wrong version selected if containing tilde '~'
merge 398297 539524
retitle 692342 apt-move uses obsolete implicit split functionality
tags 692342 + pending, patch
thanks

Seems this bug (692342) depends on the version of perl. According to the
proposed patch in bug 398297 [1], the implicit use of split has been
removed in version 5.12.

I am preparing an upload for this bug with the attached patch.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=398297#20
[fix_perl_implicit_split_deprecation.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'apt-move uses obsolete implicit split functionality' from 'apt-move move command deletes all files without moving them' Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 09 Nov 2012 11:06:07 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 09 Nov 2012 11:06:08 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Fri, 09 Nov 2012 11:33:03 GMT) Full text and rfc822 format available.

Notification sent to Lindsay Washusen <zlinw@mcmedia.com.au>:
Bug acknowledged by developer. (Fri, 09 Nov 2012 11:33:03 GMT) Full text and rfc822 format available.

Message #26 received at 692342-close@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 692342-close@bugs.debian.org
Subject: Bug#692342: fixed in apt-move 4.2.27-3
Date: Fri, 09 Nov 2012 11:32:25 +0000
Source: apt-move
Source-Version: 4.2.27-3

We believe that the bug you reported is fixed in the latest version of
apt-move, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692342@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Gevers <elbrus@debian.org> (supplier of updated apt-move package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 09 Nov 2012 10:41:39 +0100
Source: apt-move
Binary: apt-move
Architecture: source amd64
Version: 4.2.27-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Paul Gevers <elbrus@debian.org>
Description: 
 apt-move   - Maintain Debian packages in a package pool
Closes: 692342
Changes: 
 apt-move (4.2.27-3) unstable; urgency=low
 .
   * QA upload
   * debian/patches:
     - fix_perl_implicit_split_deprecation.patch: Fix implicit split which was
       deprecated in Perl long time ago and removed in 5.12 (closes: #692342)
Checksums-Sha1: 
 48affc44945785a3a17b3ba98a0734439956f92b 1408 apt-move_4.2.27-3.dsc
 19c74884292e14f6b8deb3a1d0dd96d63c21176f 10671 apt-move_4.2.27-3.debian.tar.gz
 6dc374838ee5fd18838c6028c20653fb389ac140 53290 apt-move_4.2.27-3_amd64.deb
Checksums-Sha256: 
 09e8ca654fb5f83345c1c01370986b46fd92d2931e2205aad156579a35b8b06b 1408 apt-move_4.2.27-3.dsc
 dacb3fb96a91a45df1caaa3dc348445c043adda33542ad3beb88b562fca3491a 10671 apt-move_4.2.27-3.debian.tar.gz
 dcf2322352cb5633ba1625d2df447bd691ca2c0f96d70d08947b15c13b240b7d 53290 apt-move_4.2.27-3_amd64.deb
Files: 
 bc0d8698ea9c94954db9e3178094e808 1408 admin optional apt-move_4.2.27-3.dsc
 20fad7079f749df5f507d4475fb833f0 10671 admin optional apt-move_4.2.27-3.debian.tar.gz
 a9c728afdf8b8ab8ddd0c8ddaaf56e30 53290 admin optional apt-move_4.2.27-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQnOcUAAoJEJxcmesFvXUK0bQH/1anX25Pyd1ECK/HAmYd+jDH
eEHKbL4iNSKStcxd4Kw7ejWsfQaMlbHPMQm1/qzEwjfjfxkYVUQVXjcGBWCwCpS4
X1q8CNYcVw3grY8TrE/MN6XNlEBpv5Pwg9BfIqwBfoigJbzEeVZXRHor8hKboe55
cLZG47cnRTB36XFEcBOJuVm4vjeZGPg/4OH7niwVKERNDteGQcSMzztnwsbEMf+N
+J6gi/zUqGLHT0Ca8gZkA2gxfA8X+BRrvwXWKXE3InVlTQGQcf8StTvkPcxAE9VX
OzQ3x2ddhCUUI1ImM4RDEvFnH3AiLpMb7jVR5uiUVKl8glNv/GMco2CQ/NjWfFQ=
=PKF+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Dec 2012 07:26:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:32:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.